package jp.jsworld.SpModeMailWatcher;

import java.util.Timer;
import java.util.TimerTask;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.Window;
import android.widget.Button;

import jp.jsworld.SpModeMailWatcher.R;

/**
 * 操作画面のアクティビティです。
 *
 * @version 1.3.0
 * @author jun shiozaki
 *
 *         【ver. 1.3.0 2012/07/28】<br>
 *         ・新規作成
 */
public class CtrlWindowActivity extends Activity {
    // Intent で Extora データをやり取りするためのＩＤです。
    public static final String EXID_STOP = "jp.jsworld.SpModeMailWatcher.stop";
    public static final String EXID_CALL_TIME = "jp.jsworld.SpModeMailWatcher.callTime";

    private static final String LOG_TAG = "SpModeMailWatcher";

    //private static final boolean DEBUG_FLG = true;
    private static final boolean DEBUG_FLG = false;

    private Timer callTimer = null;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        // タイトルを非表示にする。
        requestWindowFeature(Window.FEATURE_NO_TITLE);

        // レイアウトの読み込み
        setContentView(R.layout.ctrlwinodw);

        if (DEBUG_FLG)
            Log.i(LOG_TAG, "********* CtrlWindow onCreate *********");

        // Intent から Extra データを取得します。
        Intent i = getIntent();
        if (i == null) {
            finish();
        } else {
            // ステータスの取得
            long callTime = i.getLongExtra(EXID_CALL_TIME, 0);

            if (DEBUG_FLG)
                Log.i(LOG_TAG, ">> CallTime:" + callTime);

            callTimer = new Timer();
            callTimer.schedule(new TimerTask() {
                public void run() {
                    callTimer.cancel();
                    if (DEBUG_FLG)
                        Log.i(LOG_TAG, ">> CtrlWindowActivity Close");
                    finish();
                }
            }, callTime, callTime);
        }

        // 停止ボタンを処理する。
        Button stopButton = (Button) findViewById(R.id.callstop);
        stopButton.setOnClickListener(new OnClickListener() {

            public void onClick(View v) {
                if (DEBUG_FLG)
                    Log.i(LOG_TAG, "********* Stop Button Clieck *********");

                // SpModeMailWatchService に停止を通知します。
                Intent svIntent = new Intent(v.getContext(),
                        SpModeMailWatchService.class);
                svIntent.putExtra(EXID_STOP, true);
                startService(svIntent);
                finish();
            }
        });
    }
}
